"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const PropTypes = require("prop-types");
class Application extends React.Component {
    constructor(props) {
        super(props);
        this.navigators = {};
        this.registerNavigator = (navigator) => {
            this.navigators[navigator.name] = navigator;
        };
        this.navigators = {};
    }
    getChildContext() {
        return {
            registry: this.props.registry,
            application: {
                registerNavigator: this.registerNavigator,
            },
        };
    }
    render() {
        return this.props.children;
    }
}
Application.childContextTypes = {
    registry: PropTypes.object.isRequired,
    application: PropTypes.object.isRequired,
};
exports.Application = Application;
