import { Registry } from './registry';
import { ScreenParams } from './components/navigator/defs';
export interface StartOptions {
    launcherScreen?: ScreenParams;
    homeScreen: ScreenParams;
    element: HTMLElement;
    initialScreen: ScreenParams[];
}
export declare class Store {
    name: string;
    registry: Registry;
    private pages;
    constructor(name: string);
    startWithOptions(options: StartOptions): void;
}
