/// <reference types="react" />
import * as PropTypes from 'prop-types';
import * as React from 'react';
import { INavigator } from '../navigator/defs';
import { IScreenComponentProps } from './defs';
export declare abstract class LauncherScreen extends React.Component<IScreenComponentProps> {
    static contextTypes: {
        navigator: PropTypes.Validator<any>;
    };
    context: {
        navigator: INavigator;
    };
    abstract render(): JSX.Element;
    finishLaunching(): void;
}
