/// <reference types="react" />
import * as React from 'react';
import { IScreenComponentProps } from './components/screen';
export declare class Registry {
    mappings: {
        [name: string]: React.ComponentType<any> | null;
    };
    registerLocalComponent<TData = {}>(name: string, component: React.ComponentType<IScreenComponentProps<TData>>): void;
    getLocalComponent<IProps>(name: string): React.ComponentType<IProps> | null;
}
